import request from '@/utils/request'

export function getEnvCheckPage(data) {
  return request({
    url: '/js-envCheck/page',
    method: 'get',
    params: data
  })
}

export function getEnvCheckList(data) {
  return request({
    url: '/js-envCheck/list',
    method: 'post',
    data: data
  })
}

export function getEnvCheckDetail(data) {
  return  request({
    url: '/js-envCheck/listById',
    method: 'post',
    data: data
  })
}

export function addEnvCheckPage(data) {
  return request({
    url: '/js-envCheck/add',
    method: 'post',
    data: data
  })
}

export function editEnvCheckPage(data) {
  return request({
    url: '/js-envCheck/edit',
    method: 'post',
    data: data
  })
}

export function delEnvCheckPage(data) {
  return request({
    url: '/js-envCheck/delete',
    method: 'post',
    data: data
  })
}
